#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 LawnGreen
#property indicator_color2 Red

extern int MA_Period =20;
extern int MA_Type = MODE_SMA;
extern int App_Price = PRICE_CLOSE;
double MA_;
double CrossUp[];
double CrossDown[];
//plot state can be 1 of: UP,DOWN
#define PLOTUP 1
#define PLOTDOWN -1
int iWaitFor = PLOTUP;  //initial value

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
  //---- indicators
  SetIndexStyle(0, DRAW_ARROW, STYLE_SOLID);
  SetIndexArrow(0, 225);
  SetIndexBuffer(0, CrossUp);
  SetIndexStyle(1, DRAW_ARROW, STYLE_SOLID);
  SetIndexArrow(1, 226);
  SetIndexBuffer(1, CrossDown);

  return(0);
}
//+------------------------------------------------------------------+
//| script program start function |
//+------------------------------------------------------------------+
int start()
{
  MA_ =0 ;
  int counted_bars = IndicatorCounted();
  int i;
  int limit;
  if(counted_bars < 0) 
  return(-1);
  if(counted_bars > 0) 
  counted_bars--;
  limit = Bars - counted_bars;
  for(i=0; i<=limit; i++)
  {
    MA_ = iMA(Symbol(),0,MA_Period,0,MA_Type,App_Price,i);
    if (Open[i] > MA_ && iWaitFor==PLOTUP)
    {
      iWaitFor = PLOTDOWN;
      CrossUp[i]=Low[i] - 0.0010;
    } 
    if (Open[i] < MA_ && iWaitFor==PLOTDOWN)
    {
      iWaitFor = PLOTUP;
      CrossDown[i]=High[i] + 0.0010; 
    }
  }
  return(0);
}

